Merge "[POLICY] Create the jenkins jobs for policy-clamp"
authorJessica Wagantall <jwagantall@linuxfoundation.org>
Mon, 4 Jan 2021 17:15:12 +0000 (17:15 +0000)
committerGerrit Code Review <gerrit@onap.org>
Mon, 4 Jan 2021 17:15:12 +0000 (17:15 +0000)
22 files changed:
INFO.yaml
jenkins-config/clouds/openstack/cattle/ubuntu1804-helm-2c-1g.cfg
jjb/ccsdk/ccsdk-csit.yaml
jjb/ccsdk/distribution.yaml
jjb/ccsdk/tag-ccsdk-distribution-images-staging.sh [new file with mode: 0755]
jjb/ci-management/ci-management-packer-jobs.yaml
jjb/cps/cps.yaml
jjb/global-templates-helm.yaml
jjb/integration/integration-docker.yaml
jjb/integration/integration-maven-jobs.yaml [new file with mode: 0644]
jjb/integration/simulators/integration-masspnf-simulator.yaml [new file with mode: 0644]
jjb/integration/xtesting/integration-xtesting.yaml
jjb/music/music-distributed-kv-store-csit.yaml
jjb/oom/oom-helm.yaml
jjb/sdc/sdc-sdc-distribution-client.yaml
jjb/testsuite/testsuite.yaml
jjb/vnfsdk/generate-dosc.sh [new file with mode: 0644]
jjb/vnfsdk/upload-artifact.sh
jjb/vnfsdk/vnfsdk-validation.yaml
packer/common-packer
packer/provision/helm.yaml
shell/helm-repo-init.sh

index 6c8cbec..801bb85 100644 (file)
--- a/INFO.yaml
+++ b/INFO.yaml
@@ -46,15 +46,20 @@ committers:
       company: 'LF'
       id: 'eball'
       timezone: 'America/Los_Angeles'
-    - name: 'Aric Gardner'
-      email: 'agardner@linuxfoundation.org'
-      company: 'LF'
-      id: 'agardner'
-      timezone: 'America/New_York'
-    - name: 'Anil Belur'
-      email: 'abelur@linuxfoundation.org'
-      company: 'LF'
-      id: 'abelur'
-      timezone: 'Australia/Brisbane'
+    - name: 'Morgan Richomme'
+      email: 'morgan.richomme@orange.com'
+      company: 'orange'
+      id: 'mrichomme'
+      timezone: 'France/Paris'
+    - name: 'Bartek Grzybowski'
+      email: 'b.grzybowski@partner.samsung.com'
+      company: 'samsung'
+      id: 'bgrzybowski'
+      timezone: 'Poland/Warsaw'
+    - name: 'Lasse Kaihlavirta'
+      email: 'l.kaihlavirt@partner.samsung.com'
+      company: 'samsung'
+      id: 'kaihlavi'
+      timezone: 'Europe/Helsinki'
 tsc:
     approval: 'https://lists.onap.org/pipermail/onap-tsc'
index 214356f..96ee7bd 100644 (file)
@@ -1,4 +1,4 @@
-IMAGE_NAME=ZZCI - Ubuntu 18.04 - helm -  - 20200506-233718.921
+IMAGE_NAME=ZZCI - Ubuntu 18.04 - helm -  - 20201212-033204.217
 LABELS=ubuntu1804-helm-2c-1g
 HARDWARE_ID=v2-highcpu-2
 VOLUME_SIZE=50
index 676d2f5..ecabee0 100644 (file)
@@ -1,17 +1,22 @@
 ---
 - project:
-    name: ccsdk-csit
+    name: ccsdk-distribution-csit
     jobs:
-      - '{project-name}-{stream}-verify-csit-{functionality}'
-      - '{project-name}-{stream}-csit-{functionality}'
-    project-name: 'ccsdk'
+      - '{project-name}-{stream}-project-csit'
+      - '{project-name}-review-verification-{stream}'
+      - '{project-name}-merge-verification-{stream}'
+    project-name: 'ccsdk-distribution'
     recipients: 'dtimoney@att.com'
+    # project name in gerrit
+    project: 'ccsdk/distribution'
     stream:
       - 'master':
           branch: 'master'
-    functionality:
-      - 'healthcheck':
-          trigger_jobs:
+    artifact-type: 'maven'
+    java-version: openjdk11
+    mvn-version: 'mvn36'
+    mvn-settings: 'ccsdk-distribution-settings'
+    mvn-global-settings: global-settings
     robot-options: ''
     branch: 'master'
 
index a644435..f962c14 100644 (file)
           cron: '@daily'
       - '{project-name}-gerrit-release-jobs':
           build-node: centos7-docker-8c-8g
+      - gerrit-maven-docker-snapshot:
+          build-node: ubuntu1804-docker-8c-8g
+          container-public-registry: 'nexus3.onap.org:10001'
+          container-snapshot-registry: 'nexus3.onap.org:10003'
+          mvn-params: '-Dmaven.test.skip=true -Ddocker.skip.push=true -P docker'
+          maven-versions-plugin: true
+      - '{project-name}-{stream}-docker-staging':
+          script:
+            !include-raw-escape: 'tag-ccsdk-distribution-images-staging.sh'
+
     project: 'ccsdk/distribution'
     stream:
       - 'master':
diff --git a/jjb/ccsdk/tag-ccsdk-distribution-images-staging.sh b/jjb/ccsdk/tag-ccsdk-distribution-images-staging.sh
new file mode 100755 (executable)
index 0000000..b965cfe
--- /dev/null
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+echo '=========== CALLING SCRIPT TO TAG DOCKER IMAGES AS STAGING ==========='
+echo "=========== Unique docker tag: ${UNIQUE_DOCKER_TAG}"
+
+chmod 755 ./deployment/*.sh
+cd ./deployment
+./tag-docker-staging.sh
index 7115b5d..d05996f 100644 (file)
@@ -3,6 +3,7 @@
     name: packer-builder-jobs
     jobs:
       - gerrit-packer-merge
+      - gerrit-packer-verify-build
 
     project: ci-management
     project-name: ci-management
@@ -22,6 +23,7 @@
     name: packer-docker-jobs
     jobs:
       - gerrit-packer-merge
+      - gerrit-packer-verify-build
 
     project: ci-management
     project-name: ci-management
@@ -42,6 +44,7 @@
     name: packer-memcached-jobs
     jobs:
       - gerrit-packer-merge
+      - gerrit-packer-verify-build
 
     project: ci-management
     project-name: ci-management
@@ -60,6 +63,7 @@
     name: packer-redis-jobs
     jobs:
       - gerrit-packer-merge
+      - gerrit-packer-verify-build
 
     project: ci-management
     project-name: ci-management
@@ -77,6 +81,7 @@
     name: packer-helm-jobs
     jobs:
       - gerrit-packer-merge
+      - gerrit-packer-verify-build
 
     project: ci-management
     project-name: ci-management
index c620652..5593b10 100644 (file)
@@ -39,7 +39,7 @@
       - '{project-name}-{stream}-merge-java'
       - gerrit-maven-stage:
           sign-artifacts: true
-          build-node: centos7-builder-4c-4g
+          build-node: centos7-docker-8c-8g
           maven-versions-plugin: true
       - gerrit-maven-docker-stage:
           build-node: centos7-docker-8c-8g
@@ -55,7 +55,7 @@
     mvn-settings: 'cps-settings'
     files: '**'
     archive-artifacts: ''
-    build-node: ubuntu1804-builder-4c-4g
+    build-node: centos7-docker-8c-8g
 
 - project:
     name: cps-sonar
@@ -70,7 +70,7 @@
     sonarcloud-project-key: '{sonarcloud_project_organization}_{project-name}'
     sonar-mvn-goal: '{sonar_mvn_goal}'
     cron: '@daily'
-    build-node: ubuntu1804-builder-4c-4g
+    build-node: centos7-docker-8c-8g
     project: 'cps'
     project-name: 'cps'
     branch: 'master'
index e8fb13a..2697d18 100644 (file)
       - lf-provide-maven-settings-cleanup
 
 - job-template:
-    name: '{project-name}-{stream}-stage-helm'
+    name: '{project-name}-{stream}-release-helm'
     # Job template for Helm stage jobs
 
     <<: *helm_job_boiler_plate
           submodule-recursive: '{submodule-recursive}'
 
     triggers:
-      - pollscm:
-          cron: '0 22 * * *'
       - gerrit:
           trigger-on:
             - comment-added-contains-event:
-                comment-contains-value: '^stage-helm$'
+                comment-contains-value: '^release-helm$'
 
     builders:
       - lf-infra-pre-build
           server-id: oom-helm
       - inject:
           properties-content: |
-            BUILD_TYPE=staging
+            BUILD_TYPE=release
       - shell: '{obj:post_build_script}'
       - lf-provide-maven-settings-cleanup
 
index e0b655d..da2b798 100644 (file)
       - 'sniroemulator':
           pom: 'test/mocks/sniroemulator/pom.xml'
           pattern: 'test/mocks/sniroemulator/**'
-      - 'masspnfsim':
-          pom: 'test/mocks/masspnfsim/pnf-sim-lightweight/pom.xml'
-          pattern: 'test/mocks/masspnfsim/**'
-          mvn-goals: 'clean package docker:build -Dcheckstyle.skip'
-          post-docker-verify-script: |
-              #!/bin/bash
-              set -ex # Fail build if any setup step fails
-              cd $WORKSPACE/test/mocks/masspnfsim
-              tox
     mvn-settings: 'integration-settings'
     files: '**'
     archive-artifacts: ''
diff --git a/jjb/integration/integration-maven-jobs.yaml b/jjb/integration/integration-maven-jobs.yaml
new file mode 100644 (file)
index 0000000..259fb4e
--- /dev/null
@@ -0,0 +1,157 @@
+####################
+# COMMON FUNCTIONS #
+####################
+
+- integration_maven_common: &integration_maven_common
+    # This common maven base template is based on
+    # lf-maven-common in global-jjb/jjb/lf-maven-jobs.yaml
+    # and adjusted for jobs in project-specific CSIT flow
+
+    name: integration-maven-common
+
+    ######################
+    # Default parameters #
+    ######################
+
+    archive-artifacts: >
+      **/*.log
+      **/hs_err_*.log
+      **/target/**/feature.xml
+      **/target/failsafe-reports/failsafe-summary.xml
+      **/target/surefire-reports/*-output.txt
+
+    #####################
+    # Job Configuration #
+    #####################
+
+    project-type: freestyle
+    node: "{build-node}"
+
+    properties:
+      - lf-infra-properties:
+          build-days-to-keep: "{build-days-to-keep}"
+
+    parameters:
+      - lf-infra-parameters:
+          project: "{project}"
+          branch: "{branch}"
+          stream: "{stream}"
+      - lf-infra-maven-parameters:
+          mvn-opts: "{mvn-opts}"
+          mvn-params: "{mvn-params}"
+          mvn-version: "{mvn-version}"
+      - string:
+          name: ARCHIVE_ARTIFACTS
+          default: "{archive-artifacts}"
+          description: Artifacts to archive to the logs server.
+
+    scm:
+      - lf-infra-gerrit-scm:
+          jenkins-ssh-credential: "{jenkins-ssh-credential}"
+          git-url: "{git-url}"
+          refspec: "$GERRIT_REFSPEC"
+          branch: "$GERRIT_BRANCH"
+          submodule-recursive: "{submodule-recursive}"
+          submodule-timeout: "{submodule-timeout}"
+          submodule-disable: "{submodule-disable}"
+          choosing-strategy: "gerrit"
+
+    wrappers:
+      - lf-infra-wrappers:
+          build-timeout: "{build-timeout}"
+          jenkins-ssh-credential: "{jenkins-ssh-credential}"
+
+    publishers:
+      - lf-infra-publish
+
+#############################
+# Maven Snapshot for Docker #
+#############################
+
+- integration_maven_docker_snapshot: &integration_maven_docker_snapshot
+    name: integration-maven-docker-snapshot
+
+    builders:
+      - lf-infra-pre-build
+      - lf-jacoco-nojava-workaround
+      - lf-maven-install:
+          mvn-version: "{mvn-version}"
+      - lf-update-java-alternatives:
+          java-version: "{java-version}"
+      - lf-infra-docker-login:
+          global-settings-file: "{mvn-global-settings}"
+          settings-file: "{mvn-settings}"
+      # must provide maven settings AFTER docker-login due to its cleanup
+      - lf-provide-maven-settings:
+          global-settings-file: "{mvn-global-settings}"
+          settings-file: "{mvn-settings}"
+      - lf-maven-versions-plugin:
+          maven-versions-plugin: "{maven-versions-plugin}"
+          version-properties-file: "{version-properties-file}"
+          mvn-version: "{mvn-version}"
+          mvn-pom: "{mvn-pom}"
+          mvn-settings: "{mvn-settings}"
+      - inject:
+          properties-content: |
+            CONTAINER_PULL_REGISTRY={container-public-registry}
+            CONTAINER_PUSH_REGISTRY={container-snapshot-registry}
+      - lf-maven-build:
+          mvn-goals: "{mvn-goals}"
+      - lf-sigul-sign-dir:
+          sign-artifacts: "{sign-artifacts}"
+          sign-dir: "$WORKSPACE/m2repo"
+          sign-mode: "{sign-mode}"
+      - lf-provide-maven-settings-cleanup
+
+- job-template:
+    # Job template for creating snapshot docker images
+    # identified by given unique tag with maven
+    # in project-specific CSIT flow
+
+    name: "{project-name}-{stream}-maven-docker-snapshot"
+    id: gerrit-maven-docker-snapshot
+    <<: *integration_maven_common
+    # yamllint disable-line rule:key-duplicates
+    <<: *integration_maven_docker_snapshot
+
+    ######################
+    # Default parameters #
+    ######################
+
+    branch: master
+    build-days-to-keep: 30 # 30 days in case a release takes long to get approved.
+    build-timeout: 60
+    disable-job: false
+    git-url: "$GIT_URL/$PROJECT"
+    github-url: "https://github.com"
+    java-version: openjdk8
+    maven-versions-plugin: false
+    version-properties-file: version.properties
+    mvn-central: false
+    mvn-global-settings: global-settings
+    mvn-goals: clean deploy
+    mvn-opts: ""
+    mvn-params: ""
+    maven-version: mvn36
+    ossrh-profile-id: ""
+    mvn-pom: ""
+    sign-artifacts: false
+    sign-mode: serial
+    stream: master
+    submodule-recursive: true
+    submodule-timeout: 10
+    submodule-disable: false
+
+    parameters:
+      - infra-parameters:
+          project: '{project}'
+          branch: '{branch}'
+          refspec: 'refs/heads/{branch}'
+          artifacts: '{archive-artifacts}'
+      - maven-exec:
+          maven-version: '{maven-version}'
+      - maven-params:
+          mvn-params: '{mvn-params}'
+
+      - integration-unique-docker-tag:
+          unique-docker-tag: ''
diff --git a/jjb/integration/simulators/integration-masspnf-simulator.yaml b/jjb/integration/simulators/integration-masspnf-simulator.yaml
new file mode 100644 (file)
index 0000000..8121708
--- /dev/null
@@ -0,0 +1,70 @@
+---
+- project:
+    name: integration-simulators-masspnf-simulator-project-view
+    project-name: integration-simulators-masspnf-simulator
+    views:
+      - project-view
+
+- project:
+    name: integration-simulators-masspnf-simulator-info
+    project: integration/simulators/masspnf-simulator
+    project-name: integration-simulators-masspnf-simulator
+    build-node: centos7-builder-2c-1g
+    jobs:
+      - gerrit-info-yaml-verify
+
+- project:
+    name: integration-simulators-masspnf-simulator-docker
+    project-name: integration-simulators-masspnf-simulator
+    jobs:
+      - integration-docker-merge
+      - integration-docker-verify
+    project: integration/simulators/masspnf-simulator
+    stream:
+      - 'master':
+          branch: 'master'
+    subproject:
+      - 'masspnfsim':
+          pom: 'pnf-sim-lightweight/pom.xml'
+          pattern: '**'
+          mvn-goals: 'clean package docker:build -Dcheckstyle.skip'
+          post-docker-verify-script: |
+              #!/bin/bash
+              set -ex # Fail build if any setup step fails
+              cd $WORKSPACE/
+              tox -e pytest
+    mvn-settings: 'integration-settings'
+    files: '**'
+    archive-artifacts: ''
+
+- project:
+    name: integration-simulators-masspnf-simulator-linters
+    project: 'integration/simulators/masspnf-simulator'
+    project-name: 'integration-simulators-masspnf-simulator'
+    python-version: python3
+    jobs:
+      - integration-linters
+    subproject:
+      - 'yaml':
+          tox-dir: '.'
+          tox-envs: 'yaml'
+          pattern: '**/*.yaml'
+      - 'yml':
+          tox-dir: '.'
+          tox-envs: 'yaml'
+          pattern: '**/*.yml'
+      - 'json':
+          tox-dir: '.'
+          tox-envs: 'json'
+          pattern: '**/*.json'
+      - 'python':
+          tox-dir: '.'
+          tox-envs: 'py'
+          pattern: '**/*.py'
+      - 'md':
+          tox-dir: '.'
+          tox-envs: 'md'
+          pattern: '**/*.md'
+    stream:
+      - 'master':
+          branch: 'master'
index 3fb927c..f1f1d41 100644 (file)
       jobs:
           - integration-linters
       subproject:
+          - 'commit':
+                tox-dir: '.'
+                tox-envs: 'gitlint'
+                pattern: '**'
           - 'yaml':
                 tox-dir: '.'
                 tox-envs: 'yaml'
       stream:
           - 'master':
                 branch: 'master'
+          - 'frankfurt':
+                branch: 'frankfurt'
+          - 'guilin':
+                branch: 'guilin'
 
 - project:
     name: integration-xtesting-release
       - 'master':
             branch: 'master'
             files: ''
-      - 'frankfurt':
-            branch: 'frankfurt'
-            files: ''
       - 'guilin':
             branch: 'guilin'
             files: ''
index 4dd27b6..3f53eea 100644 (file)
@@ -7,6 +7,7 @@
       - '{project-name}-merge-verification-{stream}'
     project-name: 'music-distributed-kv-store'
     project: 'music/distributed-kv-store'
+    disabled: true
     stream: 'master'
     artifact-type: 'golang'
     java-version: openjdk11
index 9263a28..46da258 100644 (file)
@@ -18,7 +18,6 @@
       cd kubernetes/
       make HELM_BIN=helm3 common
       make HELM_BIN=helm3 {subproject}
-    oom_post_build_script: !include-raw-escape: shell/publish_helm_charts.sh
 
     stream:
       - "master":
@@ -50,9 +49,8 @@
           build-timeout: 240
       - "{project-name}-{stream}-merge-helm":
           build_script: "{oom_build_script}"
-          post_build_script: !include-raw-escape: shell/publish_helm_charts.sh
           files: "**"
-      - "{project-name}-{stream}-stage-helm":
+      - "{project-name}-{stream}-release-helm":
           build_script: "{oom_build_script}"
           post_build_script: !include-raw-escape: shell/publish_helm_charts.sh
           files: "**"
index e02d612..2284650 100644 (file)
     build-timeout: 60
     maven-version: 'mvn35'
 
+- project:
+    name: sdc-sdc-distribution-client-integration-pairwise
+    java-version: openjdk11
+    jobs:
+       - '{project-name}-{stream}-integration-pairwise'
+    build-node: ubuntu1804-docker-8c-8g
+    project: 'sdc/sdc-distribution-client'
+    project-name: 'sdc-sdc-distribution-client'
+    stream:
+        - 'master':
+            branch: 'master'
+            java-version: openjdk11
+    mvn-settings: 'sdc-sdc-distribution-client-settings'
+    files: '**'
+    archive-artifacts: ''
+    build-timeout: 60
+    maven-version: 'mvn35'
+    mvn-params: ' -P integration-pairwise'
+
 - project:
     name: sdc-sdc-distribution-client-sonar
     jobs:
index c72f904..e267407 100644 (file)
           tox-dir: '.'
           tox-envs: 'json'
           pattern: '**/*.json'
-#      - 'robot':
-#          tox-dir: '.'
-#          tox-envs: 'robot'
-#          pattern: '**/*.robot'
+      - 'robot':
+          tox-dir: '.'
+          tox-envs: 'robot'
+          pattern: 'robot/testsuites/usecases/*.robot'
     stream:
       - 'master':
           branch: 'master'
+      - 'guilin':
+          branch: 'guilin'
diff --git a/jjb/vnfsdk/generate-dosc.sh b/jjb/vnfsdk/generate-dosc.sh
new file mode 100644 (file)
index 0000000..06b00ab
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+cd $WORKSPACE/csarvalidation/python/
+virtualenv -p python3 ./venv
+source ./venv/bin/activate
+pip install --upgrade pip
+pip install -r ./requirements.txt
+
+cd ./main
+export OUTPUT_DIRECTORY="$WORKSPACE/generated/active-validation-rules/Honolulu/"
+python3 ./generate_active_validation_rules_table.py
index a307ad6..f384f47 100644 (file)
@@ -5,10 +5,10 @@ then
     echo "ERROR: NO PROJECT ID ENTERED"
     exit 1
 else
-    cd $WORKSPACE/csarvalidation/target/generated-docs/Honolulu
-    for file in *.csv ; do
-        echo "-n --upload-file $file https://nexus.onap.org/content/sites/raw/$PROJECT_ID/Honolulu/$file"
-        curl -n --upload-file "$file" "https://nexus.onap.org/content/sites/raw/$PROJECT_ID/Honolulu/$file"
+    cd $WORKSPACE/generated/active-validation-rules/Honolulu/
+    for FILE_NAME in *.csv ; do
+        echo "-n --upload-file $FILE_NAME https://nexus.onap.org/content/sites/raw/$PROJECT_ID/$GERRIT_BRANCH/$FILE_NAME"
+        curl -n --upload-file "$FILE_NAME" "https://nexus.onap.org/content/sites/raw/$PROJECT_ID/$GERRIT_BRANCH/$FILE_NAME"
     done
     exit 0
 fi
index 1146d76..55a0117 100644 (file)
       project-name: 'vnfsdk-requirements'
       mvn-settings: 'vnfsdk-validation-settings'
       mvn-global-settings: 'global-settings'
-      mvn-goals: 'clean install -DskipDocsGeneration=false'
       stream:
           - 'master':
                 branch: 'master'
       jobs:
           - '{project-name}-{stream}-build-and-upload':
-                project_id: org.onap.vnfsdk.refrepo
+                pre_script: !include-raw-escape: ./generate-dosc.sh
+                project_id: org.onap.vnfsdk.validation
                 post_script: !include-raw-escape: ./upload-artifact.sh
index 2b8bd41..cc24d06 160000 (submodule)
@@ -1 +1 @@
-Subproject commit 2b8bd41cbf7e3d5faaa90fba9da1a07fdf967ea9
+Subproject commit cc24d06cb483bfa17184f4fb55d6889c54e1b494
index def9d89..459fbb1 100644 (file)
@@ -14,7 +14,7 @@
   tasks:
     - name: 'Install kubectl {{kubectl_version}}'
       get_url:
-        url: https://storage.googleapis.com/kubernetes-release/release/v{{kubectl_version}}/bin/linux/amd64/kubectl
+        url: "https://storage.googleapis.com/kubernetes-release/release/v{{kubectl_version}}/bin/linux/amd64/kubectl"
         dest: /usr/local/bin/kubectl
         mode: 0775
       become: yes
         - name: 'Fetch tar.gz'
           get_url:
             url: "http://storage.googleapis.com/kubernetes-helm/helm-v{{helm_version}}-linux-amd64.tar.gz"
-            dest: /tmp/helm-v{{helm_version}}-linux-amd64.tar.gz
+            dest: "/tmp/helm-v{{helm_version}}-linux-amd64.tar.gz"
         - name: 'Unarchive'
           unarchive:
-            src: /tmp/helm-v{{helm_version}}-linux-amd64.tar.gz
+            src: "/tmp/helm-v{{helm_version}}-linux-amd64.tar.gz"
             dest: /tmp
             remote_src: true
           become: yes
             state: directory
         - name: 'Fetch tar.gz'
           get_url:
-            url: "http://storage.googleapis.com/kubernetes-helm/helm-v{{helm3_version}}-linux-amd64.tar.gz"
-            dest: /tmp/helm3/helm-v{{helm3_version}}-linux-amd64.tar.gz
+            url: "https://get.helm.sh/helm-v{{helm3_version}}-linux-amd64.tar.gz"
+            dest: /tmp/helm3
         - name: 'Unarchive'
           unarchive:
-            src: /tmp/helm3/helm-v{{helm3_version}}-linux-amd64.tar.gz
+            src: "/tmp/helm3/helm-v{{helm3_version}}-linux-amd64.tar.gz"
             dest: /tmp/helm3
             remote_src: true
           become: yes
         - name: 'Check kubectl.'
           command: 'which kubectl'
 
+        - name: Install helm3
+          shell: |
+             echo "----> Installing helm3"
+             wget 'https://get.helm.sh/helm-v3.3.4-linux-amd64.tar.gz'
+             tar -xvf 'https://get.helm.sh/helm-v3.3.4-linux-amd64.tar.gz'
+             mv linux-amd64/helm /usr/local/bin/helm3
+             which helm3
+          become: true
+
     - name: 'Install ChartMuseum {{chartmuseum_version}}'
       block:
         - name: 'Fetch bin'
index 6bf1338..c3b0a36 100755 (executable)
@@ -3,6 +3,7 @@
 set -e -o pipefail
 
 mkdir -p ".chartstorage"
-chartmuseum --port=6464 --storage="local" --storage-local-rootdir=".chartstorage" &
+sudo mount -t tmpfs -o size=128M tmpfs .chartstorage
+chartmuseum --debug --port=6464 --storage="local" --storage-local-rootdir=".chartstorage" &
 helm3 plugin install https://github.com/chartmuseum/helm-push.git
 helm3 repo add local http://localhost:6464